Subject: RE: [hackers-il] RFC: Philosophy-IL [was RE: Slightly OT: Israel as a police state, and conte mporary politics]

From: Chen Shapira <[email-masked]>
Date: Sun, 10 Mar 2002 15:32:08 +0200

> Let me know if you think it is a good idea.

I think that www.haayal.co.il is a nice forum for
philosophy/culture/politics discussions, so I see no need to start a new
forum instead of joining an existing one, that exists for 2 years already
and managed to attract some very bright people from a wide range of
backgrounds.

I enjoy political discussions better when they are professionals in the
forum, those who study political science, economy  and law. Otherwise, I
feel such discussions suffer from a lack of substance.

Sorry for the blatant promotion, I don't have a personal interest in that
forum, I just think it's the proper place for such discussions.

Thanks,
Chen.